##### dynamic_string_buffer::dynamic_string_buffer (1 of 3 overloads)

Construct a dynamic buffer from a string.

    dynamic_string_buffer(
        std::basic_string< Elem, Traits, Allocator > & s,
        std::size_t maximum_size = (std::numeric_limits< std::size_t >::max)());

###### Parameters

s

  The string to be used as backing storage for the dynamic buffer. The object stores a reference to the string and the user is responsible for ensuring that the string object remains valid while the `dynamic_string_buffer` object, and copies of the object, are in use.

DynamicBuffer_v1: Any existing data in the string is treated as the dynamic buffer's input sequence.

###### Parameters

maximum_size

  Specifies a maximum size for the buffer, in bytes.